aboutsummaryrefslogtreecommitdiff
path: root/paludis/repositories/e/ebuild_flat_metadata_cache_TEST_setup.sh
diff options
context:
space:
mode:
authorAvatar Ciaran McCreesh <ciaran.mccreesh@googlemail.com> 2008-10-09 22:42:41 +0100
committerAvatar Ciaran McCreesh <ciaran.mccreesh@googlemail.com> 2008-10-10 00:08:16 +0100
commit678bce41252dbb269960750771667ccea5208c26 (patch)
tree104b4ff9037fe3326590b275d41fa6ed385074ee /paludis/repositories/e/ebuild_flat_metadata_cache_TEST_setup.sh
parent2dcdbcafdb4da4f80c43f18605aa60ccb5db9cf3 (diff)
downloadpaludis-678bce41252dbb269960750771667ccea5208c26.tar.gz
paludis-678bce41252dbb269960750771667ccea5208c26.tar.xz
Work around ebuilds assuming cwd is safe.
Fixes: Gentoo#240722
Diffstat (limited to 'paludis/repositories/e/ebuild_flat_metadata_cache_TEST_setup.sh')
-rwxr-xr-xpaludis/repositories/e/ebuild_flat_metadata_cache_TEST_setup.sh2
1 files changed, 2 insertions, 0 deletions
diff --git a/paludis/repositories/e/ebuild_flat_metadata_cache_TEST_setup.sh b/paludis/repositories/e/ebuild_flat_metadata_cache_TEST_setup.sh
index 25dda2838..93368c010 100755
--- a/paludis/repositories/e/ebuild_flat_metadata_cache_TEST_setup.sh
+++ b/paludis/repositories/e/ebuild_flat_metadata_cache_TEST_setup.sh
@@ -4,6 +4,8 @@
mkdir ebuild_flat_metadata_cache_TEST_dir || exit 1
cd ebuild_flat_metadata_cache_TEST_dir || exit 1
+mkdir build || exit 1
+
mkdir extra_eclasses || exit 1
touch extra_eclasses/bar.eclass || exit 1
TZ=UTC touch -t 197001010003 extra_eclasses/bar.eclass || exit 1